#include<iostream>
#include<cstdio>
using namespace std;
#define MOD 1000000007
int T,n,m,v;
int main(){
	freopen("assign.in","r",stdin);
	freopen("assign.out","w",stdout);
	cin>>T;
	while(T--){
		cin>>n>>m>>v;
		
	}
	cout<<"1145141919810";
	return 0;
}
